--- title: "Get All Projects" url: https://docs.catalyst.zoho.com/en/api/code-reference/general/projects/get-all-projects/ description: "This API enables you to fetch the details of all the projects of the user logged in currently." last_updated: 2026-08-17T12:16:04Z service: All Services type: api --- # Get the Details of All Projects ### Description This API enables you to fetch the details of all the projects in the remote console of the Catalyst user, such as the developer or a [collaborator](https://docs.catalyst.zoho.com/en/getting-started/set-up-a-catalyst-project/collaborators/), logged in currently. The project details fetched are of the same Catalyst account the API is being executed from. ### Request Details #### Request URL `GET` {api-domain}/baas/v1/project - **api-domain** (URL): The DC-specific domain to access Catalyst API #### Request Headers **Authorization:** Zoho-oauthtoken {oauth_token} **Optional Headers** **CATALYST-ORG:** {org_id} **Environment:** Development #### Scope ZOHOCATALYST.projects.Read ### Response Details The response will contain the details of all the projects the user created in their remote console, including the project domain details such as the `project_domain_id` and `project_domain_name`, and the details of the user that created it, such as their `email_id` and `user_id` of each project. **Sample Request** ```bash curl -X GET \ https://api.catalyst.zoho.com/baas/v1/project \ -H "Authorization: Zoho-oauthtoken 1000.910*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*16.2f*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*57" ``` **Sample Response** ```json { "status": "success", "data": [ { "platforms": [], "project_name": "BillingDesk", "created_by": { "zuid": 780776954, "is_confirmed": false, "email_id": "amelia.burrows@zylker.com", "first_name": "Amelia", "last_name": "Burrows", "user_type": "Admin", "user_id": 11811000000003003 }, "created_time": "Jun 04, 2023 04:19 PM", "redirect_url": "", "project_domain_details": { "project_domain_id": 10060895541, "project_domain_name": "billingdesk-781316834.development", "project_domain": "https://billingdesk-781316834.development.catalystserverless.com", "user_auth": { "userAuth": {}, "createdTime": null, "createdBy": null }, "mobile_auth": {} }, "db_type": "SINGLE_DB", "id": 11811000000315013, "project_type": "Live", "env_details": [ { "id": 11811000000315049, "env_name": "Development", "env_type": 3, "env_status": "Active", "project_details": { "project_name": "BillingDesk", "id": 11811000000315013, "project_type": "Live" }, "is_default": true, "env_zgid": "781316834", "action_required": false } ], "timezone": "Asia/Kolkata" }, { "platforms": [], "project_name": "Zia", "created_by": { "zuid": 780776954, "is_confirmed": false, "email_id": "amelia.burrows@zylker.com", "first_name": "Amelia", "last_name": "Burrows", "user_type": "Admin", "user_id": 11811000000003003 }, "created_time": "Jun 02, 2023 11:55 AM", "redirect_url": "", "project_domain_details": { "project_domain_id": 10060816047, "project_domain_name": "zia-781316834.development", "project_domain": "https://zia-781316834.development.catalystserverless.com", "user_auth": { "userAuth": {}, "createdTime": null, "createdBy": null }, "mobile_auth": {} }, "db_type": "SINGLE_DB", "id": 11811000000314001, "project_type": "Live", "env_details": [ { "id": 11811000000314037, "env_name": "Development", "env_type": 3, "env_status": "Active", "project_details": { "project_name": "Zia", "id": 11811000000314001, "project_type": "Live" }, "is_default": true, "env_zgid": "781316834", "action_required": false } ], "timezone": "Asia/Kolkata" } ```